# Spring配置
spring:
  application:
    name: ems-collect
  profiles:
    active: local
    include:
      - topic
      - schedule

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
    encoding: UTF-8
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
forest:
  max-connections: 1000        # 连接池最大连接数
  connect-timeout: 3000        # 连接超时时间，单位为毫秒
  read-timeout: 3000           # 数据读取超时时间，单位为毫秒
  backend: okhttp3 # 配置后端HTTP API为 okhttp3
  ## 日志总开关，打开/关闭Forest请求/响应日志（默认为 true）
  log-enabled: true
  ## 打开/关闭Forest请求日志（默认为 true）
  log-request: true
  ## 打开/关闭Forest响应状态日志（默认为 true）
  log-response-status: true
  ## 打开/关闭Forest响应内容日志（默认为 false）
  log-response-content: true
  custom:
    # 自定义配置
    holiday: https://raw.githubusercontent.com
    uwb:
      enabled: true
      uwb-socket: ws://172.192.13.80:2223/socket/websocket/pollingArea
      test-tag: 845D3
      uwb-usr: admin
      uwb-pwd: admin123
      uwb-host: http://172.192.13.80:2223
server:
  port: 9203
  servlet:
    context-path: /pkc-collect
# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.huashe.**.domain,com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml
  type-handlers-package: com.huashe.**.typehandle
# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 76000
# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10
mqtt:
  client:
    enabled: false
    ip: xt.wenhq.top
    port: 8581
    name: uwb-location-client
    client-id: uwb-000001
    global-subscribe:
    timeout: 5
    reconnect: true
    re-interval: 5000
    version: mqtt_3_1_1
    read-buffer-size: 8KB
    max-bytes-in-message: 10MB
    keep-alive-secs: 60
    clean-session: true
    ssl:
      enabled: false
id:
  generator:
    machine-id: 2
logging:
  level:
    com.ruoyi: debug
    com.huashe: debug